aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/aurinstall13
-rw-r--r--bin/aurremove13
-rwxr-xr-xinstall.sh7
-rwxr-xr-xshell_only.sh5
4 files changed, 31 insertions, 7 deletions
diff --git a/bin/aurinstall b/bin/aurinstall
new file mode 100755
index 0000000..441ce2c
--- /dev/null
+++ b/bin/aurinstall
@@ -0,0 +1,13 @@
+#! /bin/bash
+
+set -e
+
+# Get all arguments excluding the last one
+ARGSLEN=$(($#-1))
+ARGS=${@:1:${ARGSLEN}}
+
+# Get last argument
+for LAST; do true; done
+
+git clone https://aur.archlinux.org/${LAST}.git ~/aur/${LAST}
+(cd ~/aur/${LAST} && makepkg -si ${ARGS})
diff --git a/bin/aurremove b/bin/aurremove
new file mode 100644
index 0000000..a1fc201
--- /dev/null
+++ b/bin/aurremove
@@ -0,0 +1,13 @@
+#! /bin/bash
+
+set -e
+
+# Get all arguments excluding the lastone
+ARGSLEN=$(($#-1))
+ARGS=${@:1:${ARGSLEN}}
+
+# Get last argument
+for LAST; do true; done
+
+pacman -R ${ARGS} ${LAST}
+rm -rf ~/aur/${LAST}
diff --git a/install.sh b/install.sh
index 09530a7..d04b7ee 100755
--- a/install.sh
+++ b/install.sh
@@ -58,12 +58,9 @@ if command_exists pacman; then
xclip \
hexchat \
brightnessctl \
- sndio \
- portaudio \
- iniparser
+ pulseaudio
- git clone https://aur.archlinux.org/cava.git
- (cd cava/ && makepkg -i --noconfirm)
+ bin/aurinstall --noconfirm cava
elif command_exists apt; then
wget -O- https://updates.signal.org/desktop/apt/keys.asc | ${SUDO} apt-key add -
echo "deb [arch=$(dpkg --print-architecture)] https://updates.signal.org/desktop/apt xenial main" | sudo tee -a /etc/apt/sources.list.d/signal-xenial.list
diff --git a/shell_only.sh b/shell_only.sh
index 7262f05..960a17b 100755
--- a/shell_only.sh
+++ b/shell_only.sh
@@ -60,8 +60,9 @@ if command_exists pacman; then
neofetch \
fzf
- git clone https://aur.archlinux.org/tty-clock-git.git
- (cd tty-clock-git && makepkg -i --noconfirm)
+ mkdir -p ~/aur/
+
+ bin/aurinstall --noconfirm tty-clock-git
elif command_exists apt; then
${SUDO} apt update
${SUDO} apt install -y \